Skip to main content
GET
Single Category

Authorizations

Authorization
string
header
required

Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.

Path Parameters

distinct_id
string
required

distinct_id of the user whose preferences should be fetched

category_slug
string
required

notification category slug. You can get this from Notification Categories page on SuprSend dashboard -> Settings page

Query Parameters

tenant_id
string

to fetch user preferences for a particular tenant

show_opt_out_channels
boolean
default:false

set this flag to true if you want to fetch channel list for opt-out categories.

locale
string

Locale code (e.g., es, fr, de, ja, es-AR) to fetch preference translations in user's locale. When provided, the API looks for category and section names and descriptions in the respective locale file. If a translation is missing for the requested locale, the system automatically falls back in this order: locale-region (e.g., es-AR) → locale (e.g., es) → en (English - always available).

Response

200

name
string

name of the notification category

Example:

"Newsletter"

category
string

category slug identifier

Example:

"newsletter"

description
string

description of the notification category

Example:

"Send me updates on new product updates"

original_preference
string | null

default preference of the category

Example:

null

preference
string

updated user preference of the category

Example:

"opt_in"

is_editable
boolean

false when category default preference is set to can't unsubscribe

Example:

false

channels
object[]

channel level preference in the category

digest_schedule_options
object | null

All digest schedule options configured on the category, with the recipient's current selection. null if digest schedule is not enabled on the category.

digest_schedule
object | null

The recipient's currently active digest schedule, resolved in order recipient selection -> tenant default -> category default. null if digest schedule is not enabled on the category.

properties
object[] | null

Category condition properties with the recipient's overrides. Referenced in workflows as $category.properties.<key>.